Bug 1002883 - Fix RestEASY warning about non-provider class being registered as a provider
Fix RestEASY warning about non-provider class being registered as a provider
Status: CLOSED CURRENTRELEASE
Product: JBoss Data Virtualization 6
Classification: JBoss
Component: ModeShape (Show other bugs)
6.0.0
All All
unspecified Severity low
: ER2
: 6.0
Assigned To: Horia Chiorean
: QA-Closed
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-30 03:20 EDT by Horia Chiorean
Modified: 2016-02-10 03:48 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-10 03:48:10 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker MODE-2020 Major Closed Fix RestEASY warning about non-provider class being registered as a provider 2014-07-09 01:06:34 EDT

  None (edit)
Description Horia Chiorean 2013-08-30 03:20:12 EDT
ModeShape's REST service registers with RestEASY a bunch of provider classes: https://github.com/ModeShape/modeshape/blob/master/web/modeshape-web-jcr-rest/src/main/java/org/modeshape/web/jcr/rest/JcrApplication.java.

Among those, there is a POJO which is not a real provider (and not annotated as such): {{org.modeshape.web.jcr.rest.form.FileUploadForm}}. This causes RestEASY to issue the following warning:

15:23:17,165 WARN  [org.jboss.resteasy.spi.ResteasyDeployment] (ServerService Thread Pool -- 52) Application.getClasses() returned unknown class type: org.modeshape.web.jcr.rest.form.FileUploadForm


This POJO should be removed from the list of providers.
Comment 1 JBoss JIRA Server 2013-08-30 03:23:55 EDT
Horia Chiorean <hchiorea@redhat.com> made a comment on jira MODE-2020

Removed FileUploadForm from the list of RestEASY providers.
Comment 2 JBoss JIRA Server 2013-08-30 08:50:55 EDT
Randall Hauch <rhauch@jboss.org> made a comment on jira MODE-2020

Rebased and merged into the 'master' branch. (Will remain open until the BZ is approved and merged into the '3.3.x-prod-ip6.0' branch.)
Comment 8 JBoss JIRA Server 2013-10-24 05:23:29 EDT
Randall Hauch <rhauch@jboss.org> updated the status of jira MODE-2020 to Closed
Comment 9 belong 2013-11-19 18:17:05 EST
Fixed before GA - setting to requires_doc_text- accordingly

Note You need to log in before you can comment on or make changes to this bug.